Author: Bastian Waidelich Category: Frontend
Created: 2012-05-17 Assigned To: Christian Müller
Updated: 2014-04-26 Due date:
Subject: protected content nodes are rendered
Description

Nodes that are restricted to a role (accessRoles) are currently displayed even if the logged in user does not belong to the respective
role.

Example:

 1<node identifier="" type="TYPO3.TYPO3:Text" nodeName="someProtectedNode" locale="">
 2    <accessRoles>
 3        <role>Administrator</role>
 4    </accessRoles>
 5    <properties>
 6        <headline>Some headline</headline>
 7        <text><![CDATA[
 8            <p>This should only be visible to Administrators.</p>
 9        ]]></text>
10    </properties>
11</node>

The text is displayed even if the logged in user is not in the role "Administrator"

Associated revisions
Revision 72ed21d9 - 2012-06-22 14:30 - Christian Müller

[BUGFIX] Protected nodes can never be accessed

Due to a code fix in TYPO3CR a bug with fetching of access
protected nodes was uncovered that lead to non accessibility.
The problem was in Routing and PropertyMapping the
SecurityContext is not yet setup so roles are not available.

This change allows all nodes to be fetched from the TYPO3CR
during those early stages. So access protection must be checked
later (already implemented in the NodeController).

Related: #37267
Change-Id: If4e6bcaff73b136abf7435c19c49d31de73629dc

History
#1 - 2012-05-24 18:25 - Christian Müller
- Status changed from New to Accepted
- Assigned To set to Christian Müller

Should be fixed with: https://review.typo3.org/#/c/11562/

Commit: http://git.typo3.org/FLOW3/Packages/TYPO3.TYPO3CR.git?a=commit;h=e6aac075332b526e7fde5e22ebd370238d43c99d

#2 - 2012-06-10 21:28 - Aske Ertmann
- Status changed from Accepted to Resolved

#3 - 2014-04-25 17:21 - Desh Bandhu

Is there any way to give DENY permission to a node like we have DENY in flow's security context? Other way around: Do DENY permission exist for
nodedata, I can see only accessroles?
